Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 589102

Summary: Entitlement cert not getting deleted from location /etc/pki/entitlement/product” after unregister
Product: [Community] Candlepin Reporter: spandey
Component: candlepinAssignee: Todd Sanders <tsanders>
Status: RELEASE_PENDING --- QA Contact: Katello QA List <katello-qa-list>
Severity: medium Docs Contact:
Priority: low    
Version: 0.5CC: jortel, kbanerje
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: All   
OS: Solaris   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-05-12 12:17:39 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 587713    

Description spandey 2010-05-05 12:01:59 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
100%

Prerequisites :
Server : statler.usersys.redhat.com
client : sachtestRhel6.usersys.redhat.com
SM version : 48

Steps to repro : 

Login to the client with valid credentials 
Register the client with standalone candlepin statler.usersys.redhat.com
subscribe for product monitoring 
execute following command on console to unregister client 

subscription-manager-cli unregister

Expected Result : 
After unregister consumed entitlement cert should be deleted from location /etc/pki/entitlement/product

Actual Result :
Entitlement cert not removed from location “/etc/pki/entitlement/product”

Comment 1 Jeff Ortel 2010-05-12 12:17:39 UTC
Client unregister should not remove the certificates.  The client's entitlement to content has nothing to do with whether it is registered to the UEP or not.  Once the client has obtained a valid entitlement certificate, it should have access to the content for the life of the certificate.

Comment 2 wes hayutin 2010-05-12 12:25:27 UTC
moving to on_qa for qe to verify.  Lets verify that the cli and gui are consistent w/ unregister.  Lets also verify whether or not there is a difference between certs getting removed from

1. /etc/pki/product
and 
2. /etc/pki/entitilement/product

Its my current understanding, and I could be wrong, that when a customer unregisters, certificates should be removed from /etc/pki/entitlement/product.

Can QE get clarification here..
Thank you!

Comment 3 spandey 2010-05-12 13:17:24 UTC
yes it used to do before 

when we unregister cert was getting deleted from location /etc/pki/entitlement/product

Tested with latest sm version 60 
after unregister entitlement folder is getting deleted from location /etc/pki/

using SM vsersion 60

as per my understanding this is working as expected 

so i am moving defect status from ON_QA to verified

Comment 4 John Sefler 2011-05-04 14:41:23 UTC
Group move of VERIFIED Candlepin component bugs to RELEASE_PENDING